sofa-framework
source package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/sofa-framework

general

source
sofa-framework (source, graphics)
version
1.0~beta4-12
maint
Debian Med Packaging Team (a), Andreas Tille (u)
arch
any all
std-ver
4.0.0
VCS
Git (browse)

todo

  • Lintian reports 3 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.5.1 instead of 4.0.0).
  • The BTS contains patches fixing 1 bug, consider including or untagging it.

problems

  • The package has not yet entered testing even though the 20-day delay is over. Check why.
  • Piuparts found an (un)installation error in the Sid version of this package. You should investigate the cause; have a look at the corresponding piuparts log.
  • The package has a debian/watch file, but the last attempt to use it for checking for newer upstream versions failed with an error:
    In debian/watch no matching files for watch line   http://www.sofa-framework.org/download https*://gforge.inria.fr/frs/download.php/.*/sofa-framework-(.*)\.zip   debian debian/get-orig-source

testing migration

excuses:
  • Migration status for sofa-framework (- to 1.0~beta4-12): BLOCKED: Rejected/violates migration policy/introduces a regression
  • Issues preventing migration:
  • libsofa1/amd64 has unsatisfiable dependency
  • sofa-apps/amd64 has unsatisfiable dependency
  • libsofa1/arm64 has unsatisfiable dependency
  • sofa-apps/arm64 has unsatisfiable dependency
  • libsofa1/armel has unsatisfiable dependency
  • sofa-apps/armel has unsatisfiable dependency
  • libsofa1/armhf has unsatisfiable dependency
  • sofa-apps/armhf has unsatisfiable dependency
  • libsofa1/i386 has unsatisfiable dependency
  • sofa-apps/i386 has unsatisfiable dependency
  • libsofa1/mips64el has unsatisfiable dependency
  • sofa-apps/mips64el has unsatisfiable dependency
  • libsofa1/mipsel has unsatisfiable dependency
  • sofa-apps/mipsel has unsatisfiable dependency
  • libsofa1/ppc64el has unsatisfiable dependency
  • sofa-apps/ppc64el has unsatisfiable dependency
  • libsofa1/s390x has unsatisfiable dependency
  • sofa-apps/s390x has unsatisfiable dependency
  • Updating sofa-framework introduces new bugs: #875184.
  • sofa-framework unsatisfiable Build-Depends(-Arch) on amd64: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on amd64: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on amd64: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on arm64: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on arm64: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on arm64: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on armel: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on armel: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on armel: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on armhf: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on armhf: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on armhf: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on i386: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on i386: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on i386: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on mips64el: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on mips64el: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on mips64el: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on mipsel: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on mipsel: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on mipsel: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on ppc64el: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on ppc64el: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on ppc64el: libqwt5-qt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on s390x: libqt4-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on s390x: libqt4-opengl-dev
  • sofa-framework unsatisfiable Build-Depends(-Arch) on s390x: libqwt5-qt4-dev
  • Not built on buildd: arch all binaries uploaded by tille, a new source-only upload is needed to allow migration
  • blocked by freeze: is not in testing
  • Additional info:
  • Cannot be tested by piuparts (not a blocker) - https://piuparts.debian.org/sid/source/s/sofa-framework.html
  • uninstallable on arch amd64, not running autopkgtest there
  • uninstallable on arch arm64, not running autopkgtest there
  • uninstallable on arch armhf, not running autopkgtest there
  • uninstallable on arch i386, not running autopkgtest there
  • uninstallable on arch ppc64el, not running autopkgtest there
  • 1372 days old (needed 20 days)

news RSS

bugs

all bug history graph
4
RC
1
I&N
2
M&W
1
F&P
0